Skip to main content
POST
/
v1
/
interviews
Post interview
curl --request POST \
  --url https://app.ribbon.ai/be-api/v1/interviews \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "interview_flow_id": "<string>",
  "interviewee_email_address": null,
  "interviewee_first_name": null,
  "interviewee_last_name": null,
  "assigned_recruiter_id": null
}
'
import requests

url = "https://app.ribbon.ai/be-api/v1/interviews"

payload = {
"interview_flow_id": "<string>",
"interviewee_email_address": None,
"interviewee_first_name": None,
"interviewee_last_name": None,
"assigned_recruiter_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
interview_flow_id: '<string>',
interviewee_email_address: null,
interviewee_first_name: null,
interviewee_last_name: null,
assigned_recruiter_id: null
})
};

fetch('https://app.ribbon.ai/be-api/v1/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "interview_id": "<string>",
  "interview_link": "<string>",
  "hint": null
}
{
"message": "<string>",
"code": 123,
"status": "<string>"
}
{
"message": "<string>",
"code": 123,
"status": "<string>"
}
{
"code": 123,
"status": "<string>",
"message": "<string>",
"errors": {}
}

Authorizations

Authorization
string
header
required

Provide your API key UUID in the 'Authorization' header prefixed with 'Bearer '. Example: 'Authorization: Bearer 123e4567-e89b-12d3-a456-426614174000'

Body

application/json
interview_flow_id
string
required

The interview flow ID.

interviewee_email_address
string | null

The interviewee email address. This is used to identify the interviewee on the Ribbon platform. If not provided, this interview will not appear on the Ribbon platform

interviewee_first_name
string | null

The interviewee first name.

interviewee_last_name
string | null

The interviewee last name.

assigned_recruiter_id
string | null

The ID of the team member to assign this interview to. Must belong to the same team as the interview flow. If provided, the returned interview_link will include assignedRecruiterId as a query parameter. Use GET /team-members to retrieve valid team member IDs.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Response

OK

interview_id
string
required

The ID of the created interview.

The single-use link to begin and conduct the interview.

hint
string | null

Helpful hint about interview visibility.